Summary: Bootloader which can be started from SRM console
Name: aboot
%define aboot_version 0.5
Version: %{aboot_version}
Release: 7
ExclusiveArch: alpha
Copyright: distributable
Group: Utilities/System
Source: ftp://ftp.azstarnet.com/pub/linux/axp/aboot/aboot-%{aboot_version}.tar.gz
Patch0: aboot-0.5-make.patch.gz
Patch1: aboot-0.5-elf.patch.gz
Patch2: aboot-0.5-glibc2.patch.gz
Patch3: aboot-0.5-rth.patch.gz
BuildRoot: /var/tmp/aboot-root

%description
The SRM console needs special information in the boot block on a device
to boot it properly. This package allows you to create bootable block
devices and contains a program to load Linux kernels from a filesystem
which SRM can boot.

%prep
%setup
%patch0 -p1 -b .make~
%patch1 -p1 -b .elf~
%patch2 -p1 -b .glibc2~
%patch3 -p1 -b .rth~

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
chmod go= $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/man/man8
make root=$RPM_BUILD_ROOT install
cp -p sdisklabel/swriteboot.8 tools/e2writeboot.8 $RPM_BUILD_ROOT/usr/man/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc INSTALL README doc/*

%attr(644, root, root) /boot/bootlx
/sbin/abootconf
/sbin/e2writeboot
/sbin/isomarkboot
/sbin/swriteboot
/usr/man/man8/e2writeboot.8
/usr/man/man8/swriteboot.8

%changelog
* Tue Sep 15 1998 Richard Henderson <rth@cygnus.com>
- use aboot.lds for elf, so that the phdr comes out right.
- relax the need to have a compiled kernel installed.
- make sdisklabel take partition sizes in sectors, not kilobytes.

* Thu Aug 20 1998 Maciej W. Rozycki <macro@ds2.pg.gda.pl>
- corrected a small but essential error in the ELF patch

* Mon Aug  3 1998 Maciej W. Rozycki <macro@ds2.pg.gda.pl>
- added a patch to allow booting of ELF images created with binutils >= 2.9
- compiled against glibc 2.0.94

* Sun May 31 1998 Maciej W. Rozycki <macro@ds2.pg.gda.pl>
- made changes needed for glibc2 and 2.1.x kernels

